#pragma once

//#define DLL_API extern "C" __declspec(dllexport)
extern "C"
{
	typedef int(*ReceivePosData)(const char *pData, int pDataLength, unsigned char cResult);

	__declspec(dllexport) bool OpenDevice(int p_nVid, int p_nPid);
	__declspec(dllexport) bool CloseDevice();
	__declspec(dllexport) bool WriteUsb(LPCVOID lpBuffer, DWORD dwSize);
	__declspec(dllexport) int SetCallback(ReceivePosData pf);
	__declspec(dllexport) bool GetDeviceSn(char *pSn, int *pSnLength);
	__declspec(dllexport) bool ConnectStaus();
	__declspec(dllexport) bool SetReceiveTimeOut(int nTimeOutMillisecond);
}


